Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.descriptors.changetracking
Class ObjectChangeTrackingPolicy

`java.lang.Object
oracle.toplink.descriptors.changetracking.DeferredChangeDetectionPolicy
oracle.toplink.descriptors.changetracking.ObjectChangeTrackingPolicy`

All Implemented Interfaces:
  oracle.toplink.descriptors.changetracking.ObjectChangePolicy, java.io.Serializable

Direct Known Subclasses:
  AttributeChangeTrackingPolicy

public class ObjectChangeTrackingPolicy
extends DeferredChangeDetectionPolicy

PUBLIC: A ObjectChangeTrackingPolicy allows an object to calculate for itself whether it should has changed by implementing ChangeTracker. Changed objects will be processed in the UnitOfWork commit process to include any changes in the results of the commit. Unchanged objects will be ignored.

See Also:
  `DeferredChangeDetectionPolicy`, `ChangeTracker`, Serialized Form

Constructor Summary
`ObjectChangeTrackingPolicy()`

Method Summary
`boolean` | `isObjectChangeTrackingPolicy()` Used to track instances of the change policies without doing an instance of check

Methods inherited from class oracle.toplink.descriptors.changetracking.DeferredChangeDetectionPolicy
`isAttributeChangeTrackingPolicy, isDeferredChangeDetectionPolicy`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectChangeTrackingPolicy

    public ObjectChangeTrackingPolicy()

Method Detail

### isObjectChangeTrackingPolicy

    public boolean isObjectChangeTrackingPolicy()

  Used to track instances of the change policies without doing an instance of check
  Specified by:
    `isObjectChangeTrackingPolicy` in interface `oracle.toplink.descriptors.changetracking.ObjectChangePolicy`
  Overrides:
    `isObjectChangeTrackingPolicy` in class `DeferredChangeDetectionPolicy`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD